import { Doc } from '../../view/Doc';
import { CommandPayloadMap } from '../types';
import { CommandBase, PostCommandContext } from '../base/CommandBase';
/**
 * 删除子表
 */
export declare class DeleteSubTable extends CommandBase<'deleteSubTable'> {
    constructor(doc: Doc, payload?: CommandPayloadMap['deleteSubTable']);
    protected execute(): Promise<PostCommandContext>;
}
